En ocasiones, cuando los usuarios de Ubuntu 10.x y 11.x Linux reproducen contenido de vídeo protegido con Flash Player 11, les aparece una pantalla vacía o negra. Por ejemplo, este problema se da en servicios como Amazon Instant Video. Este comportamiento se debe a un módulo de Ubuntu HAL (Hardware Abstraction Layer) que no está instalado de forma predeterminada. Si el proveedor muestra mensajes de error, los usuarios ven un error de DRM 3323 o 3322.

Requisitos previos para la reproducción de contenido de vídeo protegido

En el caso de Ubuntu 10.04 o versiones posteriores, asegúrese antes que nada de que el módulo Hardware Abstraction Layer esté instalado mediante apt-get.
Compruebe con atención los errores de instalación “hal”, puesto que la instalación de un paquete dañado puede afectar a la reproducción de vídeo.

sudo apt-get install hal

Una vez que se haya instalado la biblioteca "libhal" (HAL), cierre el navegador y borre los directorios de Adobe Access ejecutando los comandos shell siguientes:

cd ~/.adobe/Flash_Player
rm -rf NativeCache AssetCache APSPrivateData2

Nota:

Si falta el módulo Hardware Abstraction Layer, Flash Player sigue funcionando. Ahora bien, no puede reproducir contenido protegido que requiera el módulo Adobe Flash Access DRM (Digital Rights Management).

Admisión de determinadas versiones de 64 bits de Linux

Adobe informa de la existencia de compatibilidad de plataforma para Linux de 32 bits y 64 bits en la sección de requisitos del sistema Linux del sitio de Flash Player 11. Las distribuciones admitidas actualmente (32 bits y 64 bits) son Redhat Enterprise Linux 5.6 o posterior y Ubuntu 10.04 o posterior.

También se admite openSUSE.

Instale el plugin correcto de Flash Player de 32 bits o 64 bits

Vaya a http://www.adobe.com/go/es/flashplayer para instalar la versión de Flash Player más actual para su plataforma y arquitectura.

Si no tiene claro qué paquete de Linux debe instalar, consulte ¿Tiene un sistema operativo o un navegador diferentes? para acceder a más opciones de sistemas operativos.

openSUSE y otras versiones de Linux

Algunas distribuciones de Linux administran los paquetes a su manera, en especial openSUSE. openSUSE utiliza RPM como formato de paquete nativo. Ahora bien, tiene su propia herramienta de alto nivel para administrar la instalación de software del sistema. 
Las instalaciones de .rpm en openSUSE (32 bits y 64 bits) son caprichosas. En ocasiones, muestran un mensaje de error genérico del tipo "El mensaje no ha recibido una respuesta (fin de tiempo de espera por bus de mensaje)".

En estos casos, descargue el archivo .tar.gz y coloque Flash Player (libflashplayer.so) en esta ubicación:

/usr/lib/adobe-flashplugin/libflashplayer.so

Pruebe a reproducir contenido de vídeo protegido con el reproductor de demostración

  1. Inicie el contenedor de reproductor de vídeo de demostración de Adobe: http://drmtest2.adobe.com:8080/SVP/SampleVideoPlayer_FP.html
     
      Observe la versión de Adobe Flash Player en la parte inferior del contenedor de vídeo. Compruebe que indique 11.2 o superior
       
  2. Reproducir contenido protegido de muestra.
     
      Indique la URL siguiente en el campo "Input the video URL: (con distinción de mayúsculas y minúsculas)
      http://drmtest2.adobe.com:8080/Content/anonymous.f4v
       
  3. Haga clic en el botón [Play] en la parte inferior del contenedor de vídeo.

Se reproduce el contenido protegido de anonymous.f4. (Se le denomina el vídeo del tren de getty).

 

Productos afectados

Adobe Flash Player 11, Flash Access (FAXS), Ubuntu 10.x y 11.x Linux

Esta obra está autorizada con arreglo a la licencia de Reconocimiento-NoComercial-CompartirIgual 3.0 Unported de Creative Commons.  Los términos de Creative Commons no cubren las publicaciones en Twitter™ y Facebook.

Avisos legales   |   Política de privacidad en línea